Bug 1496742 - Lacking of template_service_broker templates after installing atomic-openshift-utils
Summary: Lacking of template_service_broker templates after installing atomic-openshif...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: ewolinet
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 09:17 UTC by Gan Huang
Modified: 2017-11-28 22:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
A newly created role for 3.7 leveraged OCP template files that were sync'd over from the origin repo however the ansible.spec file needed to be updated to include that directory in the building of the openshift-ansible rpm.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:13:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Gan Huang 2017-09-28 09:17:46 UTC
Description of problem:
Lacking of template_service_broker templates after installing atomic-openshift-utils, which resulted in the installation of template_service_broker failed.

Version-Release number of the following components:
atomic-openshift-utils-3.7.0-0.128.0.git.0.89dcad2.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Install atomic-openshift-utils in ansible master
2. Trigger installation with tempalte service broker


Actual results:
TASK [template_service_broker : copy] ******************************************
Thursday 28 September 2017  06:40:50 +0000 (0:00:00.251)       0:11:33.617 **** 
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: 	/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/../../../files/origin-components//apiserver-template.yaml
failed: [host-8-241-74.host.centralci.eng.rdu2.redhat.com] (item=apiserver-template.yaml) => {"changed": false, "failed": true, "item": "apiserver-template.yaml", "msg": "Could not find or access '../../../files/origin-components//apiserver-template.yaml'\nSearched in:\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/files/../../../files/origin-components//apiserver-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/../../../files/origin-components//apiserver-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/tasks/files/../../../files/origin-components//apiserver-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/tasks/../../../files/origin-components//apiserver-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/files/../../../files/origin-components//apiserver-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/../../../files/origin-components//apiserver-template.yaml"}
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: 	/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/../../../files/origin-components//rbac-template.yaml
failed: [host-8-241-74.host.centralci.eng.rdu2.redhat.com] (item=rbac-template.yaml) => {"changed": false, "failed": true, "item": "rbac-template.yaml", "msg": "Could not find or access '../../../files/origin-components//rbac-template.yaml'\nSearched in:\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/files/../../../files/origin-components//rbac-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/../../../files/origin-components//rbac-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/tasks/files/../../../files/origin-components//rbac-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/roles/template_service_broker/tasks/../../../files/origin-components//rbac-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/files/../../../files/origin-components//rbac-template.yaml\n\t/home/slave3/workspace/Launch Environment Flexy/private-openshift-ansible/playbooks/byo/openshift-cluster/../../common/openshift-cluster/../../../files/origin-components//rbac-template.yaml"}

Expected results:

Additional info:
Check if `files` directory exists after installing atomic-openshift-utils
# ll /usr/share/ansible/openshift-ansible/
library/   playbooks/ roles/     

Check if `files` directory exists for upstream git master
# ll ~/openshift-ansible/files
total 0
drwxr-xr-x. 2 root root 92 Sep 28 04:52 origin-components

Comment 3 Scott Dodson 2017-10-09 14:59:03 UTC
Gan,

We're going to be removing the quick installer in 3.7. I'm going to close this WONTFIX.

Comment 4 Gan Huang 2017-10-09 15:43:28 UTC
If those files (https://github.com/openshift/openshift-ansible/tree/master/files/origin-components) will be packaged into official installer(openshift-ansible) RPMs, that would be fine to close.

AFAICS they're not in yet: https://github.com/openshift/openshift-ansible/blob/master/openshift-ansible.spec

Comment 5 Gan Huang 2017-10-20 09:36:00 UTC
Hi Scott,

There might be some misunderstandings here, this was not a issue of quick-installer, the issue was installer (openshift-ansible rpm package) didn't install those files needed for template_service_broker

This is still a problem while installing template_service_broker. (we could only test it by github checkout)

From https://github.com/openshift/openshift-ansible/pull/5760/files, I'm still not seeing those files would be added to openshift-ansible package. I'd like to reopen it until the issue is fixed.

Comment 8 XiuJuan Wang 2017-10-23 09:46:53 UTC
Could install TSB successfully with rpm install_method
openshift-ansible-3.7.0-0.174.0.git.0.01932ad.el7.noarch.rpm

Comment 12 errata-xmlrpc 2017-11-28 22:13:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.